import { ProjectStatus } from "./enum/project-status";

export class Project {
    index?: number;
    agreementTypeCode?: string;
    agreementTypeName: any;
    budgetYear?: Date;
    budgetAmt?: number;
    budgetName?: string;
    costCenterCode?: string;
    costCenterName?: string;
    currencyCode?: string;
    erpProjectCode?: string;
    erpProjectName?: string;
    erpProjectDescr?: string;
    exchangeDate?: Date;
    exchangeRate?: number;
    functionalCurrency?: boolean;
    procureToPay?: boolean;
    projectBudgetAmt?: number;
    projectBudgetCode?: string;
    projectBudgetName?: string;
    projectCategoryCode?: string;
    projectCategoryName?: string;
    projectCharacterCode?: string;
    projectCharacterName?: string;
    projectCharacterTypeCode?: string;
    projectCharacterTypeName?: string;
    projectCode?: string;
    projectMethodCode?: string;
    conditionCode?: string;
    projectMethodName?: string;
    projectName?: string;
    projectStatus?: ProjectStatus;
    projectTypeCode?: string;
    projectTypeName?: string;
    purchaseTypeCode?: string;
    purchaseTypeName?: string;
    statusName?: string;
}